<?xml version="1.0" encoding="UTF-8"?>
<beans
  xmlns="http://www.springframework.org/schema/beans"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xmlns:p="http://www.springframework.org/schema/p"
  xmlns:aop="http://www.springframework.org/schema/aop"
  xmlns:context="http://www.springframework.org/schema/context"
  xmlns:jee="http://www.springframework.org/schema/jee"
  xmlns:tx="http://www.springframework.org/schema/tx"
  xmlns:util="http://www.springframework.org/schema/util"
  xmlns:mvc="http://www.springframework.org/schema/mvc"
  xsi:schemaLocation="
			http://www.springframework.org/schema/aop http://www.springframework.org/schema/aop/spring-aop-3.2.xsd
			http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-3.2.xsd
			http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context-3.2.xsd
			http://www.springframework.org/schema/jee http://www.springframework.org/schema/jee/spring-jee-3.2.xsd
			http://www.springframework.org/schema/tx http://www.springframework.org/schema/tx/spring-tx-3.2.xsd
			http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util-3.2.xsd
			http://www.springframework.org/schema/mvc http://www.springframework.org/schema/mvc/spring-mvc-3.2.xsd
			">    
  <bean class="com.eactive.eai.rms.common.spring.CustomBeanFactoryPostProcessor" />
  <bean
    id="APIGW"
    class="com.eactive.eai.rms.common.datasource.DataSourceType"
    p:name="APIGW"
    p:text="APIGW"
    p:schema="apigw"
    p:dynamic="true"    
    p:online="true"    
    p:jndiName="jdbc/dsOBP_AGW"
    p:render="ONL,COM"
    />
  <!-- java:comp/env/ -->
  
  <!-- <bean
          id="BAP"
          class="com.eactive.eai.rms.common.datasource.DataSourceType"
          p:name="BAP"
          p:text="BAP"
          p:schema="apims"
          p:dynamic="true"
          p:online="true"
          p:jndiName="APIMS_APP_NXA"
          p:render="BAP,COM"
  /> -->
     
  <!-- RMS_DEFAULT -->
  <bean
    id="MONITORING"
    class="com.eactive.eai.rms.common.datasource.DataSourceType"
    p:name="MONITORING"
    p:text="MONITORING"
    p:schema="apims"
    p:dynamic="false"
    p:online="false"    
    p:jndiName="jdbc/dsOBP_EMS"
    />        
    
  <!-- BATCH(EAI)    --> 


  <!-- META --> 
  <!-- <bean
    id="META"
    class="com.eactive.eai.rms.common.datasource.DataSourceType"
    p:name="META"
    p:text="META"
    p:schema="apims"
    p:dynamic="false"
    p:online="false"    
    p:jndiName="APIMS_APP_NXA"
    /> -->   

  <!--IM --> 
  <!-- <bean
    id="IM"
    class="com.eactive.eai.rms.common.datasource.DataSourceType"
    p:name="IM"
    p:text="IM"
    p:schema="api"
    p:dynamic="false"
    p:online="false"    
    p:jndiName="API_APP_NXA"
    /> -->   
    
</beans>
